Last modified: 2012-10-05 04:04:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18768 - Remove AdminSettings.php from MediaWiki core
Remove AdminSettings.php from MediaWiki core
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 14201 16322 19133
  Show dependency treegraph
 
Reported: 2009-05-11 15:52 UTC by MZMcBride
Modified: 2012-10-05 04:04 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2009-05-11 15:52:01 UTC
Paraphrasing Tim:

* Having two separate files creates an illusion of privilege separation
* In theory, AdminSettings.php could be protected using UNIX permissions, but it's never done
* It provides no real security to separate the admin user from the command-line user
* The web user has DELETE capabilities over MediaWiki tables already, so an attacker can do significant damage already

I propose removing the file from future installations, putting the data in LocalSettings.php, and modifying maintenance scripts to use LocalSettings.php (if necessary).
Comment 1 MZMcBride 2009-06-11 22:17:26 UTC
I believe Tim resolved this in rev 51650. Resolving as FIXED.
Comment 2 Chad H. 2009-06-11 22:21:52 UTC
No, only the requirement for update.php. commandLine.inc still expects AdminSettings to be there. Will be fixed with merge of maintenance-work branch.
Comment 3 Chad H. 2009-06-24 02:02:59 UTC
Fixed in r52336.
Comment 4 Dan Jacobson 2009-06-24 02:40:31 UTC
I am looking at RELEASE-NOTES and it says
>* (bug 18768) Remove AdminSettings.php from MediaWiki core
but svn update says
D    AdminSettings.sample
Shouldn't that be
* (bug 18768) Remove AdminSettings.sample from MediaWiki core?
Comment 5 Roan Kattouw 2009-06-25 10:03:51 UTC
(In reply to comment #4)
> I am looking at RELEASE-NOTES and it says
> >* (bug 18768) Remove AdminSettings.php from MediaWiki core
> but svn update says
> D    AdminSettings.sample
> Shouldn't that be
> * (bug 18768) Remove AdminSettings.sample from MediaWiki core?
> 

I guess the idea is that the *requirement* for AdminSettings.php was removed.
Comment 6 Chad H. 2009-06-25 14:47:16 UTC
Exactly. The idea behind the bug is to remove the concept of "AdminSettings" entirely from the core, as it isn't really needed. Granted, this is only fixed in the maintenance-work branch but not core (Brion reverted the merge in r52340)
Comment 7 Chad H. 2009-07-23 00:32:05 UTC
Done in r53664.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links